Name: liblzo
Version: 1.08
Release: alt6

Packager: Repocop Q. A. Robot <repocop@altlinux.org>

Summary: A real-time data compression library
Summary(ru_RU.KOI8-R):    
License: GPL
Group: System/Libraries
Url: http://www.oberhumer.com/opensource/lzo/

Source: lzo-%version.tar.bz2

# Automatically added by buildreq on Fri Jan 24 2003
BuildRequires: gcc-c++ glibc-devel-static zlib-devel

%ifarch %ix86 x86_64
BuildRequires: nasm
%endif

%description
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and very fast decompression.
Decompression requires no memory.

In addition there are slower compression levels achieving a quite
competitive compression ratio while still decompressing at
this very high speed.

%description -l ru_RU.KOI8-R
LZO -      ,   ANSI C.
        .
    .

     ,  
  ,       - 
.

%package devel
Summary: Libraries and header files for programs that use lzo
Summary(ru_RU.KOI8-R):      ,  LZO
Group: Development/C
Requires: %name = %version-%release

%description devel
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and very fast decompression.
Decompression requires no memory.

In addition there are slower compression levels achieving a quite
competitive compression ratio while still decompressing at
this very high speed.

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and very fast decompression.
Decompression requires no memory.

In addition there are slower compression levels achieving a quite
competitive compression ratio while still decompressing at
this very high speed.

%prep
%setup -q -n lzo-%version

%build
%configure \
	--enable-shared
%make_build
make test

%install
%makeinstall

%files
%_libdir/*.so.*
%doc README AUTHORS COPYING NEWS ChangeLog BUGS THANKS doc/*

%files devel
%_includedir/*
%_libdir/*.so

%files devel-static
%_libdir/*.a

%changelog
* Fri Oct 29 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.08-alt6
- Rebuilt for soname set-versions

* Wed Nov 04 2009 Igor Vlasenko <viy@altlinux.ru> 1.08-alt5.1
- NMU (by repocop): the following fixes applied:
  * post_ldconfig for liblzo
  * postun_ldconfig for liblzo

* Wed Sep 03 2008 Kirill A. Shutemov <kas@altlinux.ru> 1.08-alt5
- Add nasm to BuildRequires only on x86 and x86_64

* Sun Mar 26 2006 Andrey Brindeew <abr@altlinux.org> 1.08-alt4
- Source converted from gz to bz2
- specfile cleanup

* Sat Dec 13 2003 Andrey Brindeew <abr@altlinux.ru> 1.08-alt3
- *.la files removed

* Fri Jan 24 2003 Stanislav Ievlev <inger@altlinux.ru> 1.08-alt2
- rebuild

* Tue Aug 20 2002 Andrey Brindeew <abr@altlinux.ru> 1.08-alt1
- First build for ALT Linux

